Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.registry
Class RegistryMap

    java.lang.Object
      java.util.AbstractMap
          org.apache.commons.collections.map.AbstractHashedMap
              org.mule.util.CaseInsensitiveHashMap
                  org.mule.registry.RegistryMap

All Implemented Interfaces:
  Serializable, Map, IterableMap

    public class RegistryMap

extends CaseInsensitiveHashMap

Provides a `HashMap` view of values stored in the registry

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.collections.map.AbstractHashedMap
`AbstractHashedMap.EntrySet, AbstractHashedMap.EntrySetIterator, AbstractHashedMap.HashEntry, AbstractHashedMap.HashIterator, AbstractHashedMap.HashMapIterator, AbstractHashedMap.KeySet, AbstractHashedMap.KeySetIterator, AbstractHashedMap.Values, AbstractHashedMap.ValuesIterator`

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap
`data, DEFAULT_CAPACITY, DEFAULT_LOAD_FACTOR, DEFAULT_THRESHOLD, entrySet, GETKEY_INVALID, GETVALUE_INVALID, keySet, loadFactor, MAXIMUM_CAPACITY, modCount, NO_NEXT_ENTRY, NO_PREVIOUS_ENTRY, NULL, REMOVE_INVALID, SETVALUE_INVALID, size, threshold, values`

Constructor Summary
`RegistryMap(int i, float v, Registry registry)`
`RegistryMap(int i, Registry registry)`
`RegistryMap(Map map, Registry registry)`
`RegistryMap(Registry registry)`

Method Summary
`Object` | `get(Object key)`

Methods inherited from class org.mule.util.CaseInsensitiveHashMap
`clone, hash, isEqualKey`

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap
`addEntry, addMapping, calculateNewCapacity, calculateThreshold, checkCapacity, clear, containsKey, containsValue, convertKey, createEntry, createEntrySetIterator, createKeySetIterator, createValuesIterator, destroyEntry, doReadObject, doWriteObject, ensureCapacity, entryHashCode, entryKey, entryNext, entrySet, entryValue, equals, getEntry, hashCode, hashIndex, init, isEmpty, isEqualValue, keySet, mapIterator, put, putAll, remove, removeEntry, removeMapping, reuseEntry, size, toString, updateEntry, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistryMap

    public RegistryMap(Registry registry)

### RegistryMap

    public RegistryMap(int i,
                       Registry registry)

### RegistryMap

    public RegistryMap(int i,
                       float v,
                       Registry registry)

### RegistryMap

    public RegistryMap(Map map,
                       Registry registry)

Method Detail

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`
  Overrides:
    `get` in class `AbstractHashedMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.